"use client";

import Product from "./Product";

const Products = ({ products, heading, filter = 0 }) => {
  const filteredProducts = products.filter((product) => product.id <= filter);
  return (
    <section
      className="
    w-full
    h-full
    flex
    items-center
    justify-center
    "
    >
      <div
        className="
      w-full
      h-full
      max-w-[1200px]
      p-5
      flex
      flex-col
      items-center
      "
      >
        <h2 className="text-3xl font-bold text-center mb-5 max-w-[40ch]">
          {heading}
        </h2>
        <div
          className="
          flex 
          flex-wrap 
          gap-5
          items-center
          justify-center
          "
        >
          {!filter &&
            products.map((product) => (
              <Product key={product.id} product={product} />
            ))}
          {filter &&
            filteredProducts.map((product) => (
              <Product key={product.id} product={product} />
            ))}
        </div>
      </div>
    </section>
  );
};

export default Products;
